% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/dic_order.R
\name{dic_order}
\alias{dic_order}
\title{Order of Variable Levels from Eurostat Dictionary.}
\usage{
dic_order(x, dic, type)
}
\arguments{
\item{x}{a variable (code or labelled) to get order for.}

\item{dic}{a name of the dictionary. Correspond a variable name in the 
data_frame from \code{\link{get_eurostat}}. Can be also data_frame from
\code{\link{get_eurostat_dic}}.}

\item{type}{a type of the x. Could be \code{code} or \code{label}.}
}
\value{
A numeric vector of orders.
}
\description{
Orders the factor levels.
}
\details{
Some variables, like classifications, have logical or conventional ordering. Eurostat data tables are nor neccessary ordered in this order. The function \code{dic_order} get the ordering from Eurostat classifications dictionaries. The function \code{\link{label_eurostat}} can also order factor levels of labels with argument \code{eu_order = TRUE}.
}
\author{
Przemyslaw Biecek, Leo Lahti, Janne Huovari and Markus Kainu \email{ropengov-forum@googlegroups.com} \url{http://github.com/ropengov/eurostat}
}
